@import '../styles/functions/rem.scss';
@import '../styles/theme.scss';

.page {
    h2 {
        border-bottom: 2px solid $secondary-color;
        @include rem-fallback(padding-bottom, 10);
        @include rem-fallback(margin-bottom, 10);
    }

    .article {
        @include rem-fallback(font-size, 22);
        @include rem-fallback(line-height, 30);
        a {
            color: $primary-color;
            text-shadow: 2px 2px 1px $secondary-color;
            text-decoration: none;
    
            &:hover {
                color: $secondary-color;
                text-shadow: 2px 2px 1px #000000;
                text-decoration: underline;
            }
        }

        p {
            @include rem-fallback(margin-top, 20);
            @include rem-fallback(margin-bottom, 20);
        }
    }

    .meta {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        width: 100%;

        h2 {
            width: 100%;
        }

        .links {
            flex-basis: 49.5%;
            margin-right: 0.5%;

            div {
                display: flex;
                @include rem-fallback(margin-top, 20);
                a {
                    color: $primary-color;
                    text-decoration: none;
                    text-align: center;
                    width: 49.5%;
                    box-sizing: border-box;
                    border: 2px solid $secondary-color;
                    @include rem-fallback(padding, 10);

                    &:nth-child(odd) {
                        margin-right: 0.5%;
                    }

                    &:nth-child(even) {
                        margin-left: 0.5%;
                    }

                    &:hover {
                        background-color: $secondary-color;
                    }
                }
            }
        }

        .stack {
            flex-basis: 49.5%;
            margin-left: 0.5%;

            .images {
                display: flex;
                justify-content: flex-start;

                div {
                    box-sizing: border-box;
                    @include rem-fallback(width, 70);
                    @include rem-fallback(height, 70);
                    @include rem-fallback(margin, 0,5,5);
                }
            }
        }
    }
}

@media all and (max-width: 414px) { 
    .page {
        .meta {
            .links {
                flex-basis: 100%;
                margin-right: 0%;
                @include rem-fallback(margin-bottom, 10);
            }

            .stack {
                flex-basis: 100%;
                margin-left: 0%;
            }
        }
    }
}